Package org.jbpm.process.core.datatype.impl.type

## Class UndefinedDataType

- java.lang.Object
- - org.jbpm.process.core.datatype.impl.type.UndefinedDataType

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `DataType`

      public final class UndefinedDataType
      extends Object
      implements DataType

  Representation of an undefined datatype.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UndefinedDataType()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UndefinedDataType` | `getInstance()` |
    `String` | `getStringType()` | Returns the corresponding Java type of this datatype
    `void` | `readExternal​(ObjectInput in)` |
    `Object` | `readValue​(String value)` |
    `boolean` | `verifyDataType​(Object value)` | Returns true if the given value is a valid value of this data type.
    `void` | `writeExternal​(ObjectOutput out)` |
    `String` | `writeValue​(Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jbpm.process.core.datatype.DataType

      `valueOf`

- - ### Constructor Detail

    - #### UndefinedDataType

          public UndefinedDataType()

  - ### Method Detail

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### getInstance

          public static UndefinedDataType getInstance()

    - #### verifyDataType

          public boolean verifyDataType​(Object value)

      Description copied from interface: `DataType`
      Returns true if the given value is a valid value of this data type.
      Specified by:
        `verifyDataType` in interface `DataType`

    - #### readValue

          public Object readValue​(String value)

      Specified by:
        `readValue` in interface `DataType`

    - #### writeValue

          public String writeValue​(Object value)

      Specified by:
        `writeValue` in interface `DataType`

    - #### getStringType

          public String getStringType()

      Description copied from interface: `DataType`
      Returns the corresponding Java type of this datatype
      Specified by:
        `getStringType` in interface `DataType`